<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{4B042355-0C65-4EB4-A2B4-380221C71243}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>LoyaltyPointEngine.Data</RootNamespace>
    <AssemblyName>LoyaltyPointEngine.Data</AssemblyName>
    <TargetFrameworkVersion>v4.6</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=5.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.5.0.0\lib\net46\EntityFramework.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=8.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.8.0.1\lib\net46\Newtonsoft.Json.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.Entity" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Datastore\DataRepositoryFactory.cs" />
    <Compile Include="Datastore\DataRepositoryStore.cs" />
    <Compile Include="Datastore\EntityObjectExtension.cs" />
    <Compile Include="Datastore\IDataRepositoryStore.cs" />
    <Compile Include="GenericRepository\Common.cs" />
    <Compile Include="GenericRepository\Dynamic.cs" />
    <Compile Include="GenericRepository\EFGenericRepository.cs" />
    <Compile Include="GenericRepository\IRepository.cs" />
    <Compile Include="GenericRepository\IRepositoryFactory.cs" />
    <Compile Include="GenericRepository\RepositoryBase.cs" />
    <Compile Include="LoyaltyPointEngineNew.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>LoyaltyPointEngineNew.edmx</DependentUpon>
    </Compile>
    <Compile Include="Managed\Action.cs" />
    <Compile Include="Managed\ActionCategory.cs" />
    <Compile Include="Managed\Adjustment.cs" />
    <Compile Include="Managed\AutomaticCampaignActionRule.cs" />
    <Compile Include="Managed\AutomaticCampaignParticipant.cs" />
    <Compile Include="Managed\AutomaticCampaignReceiptLog.cs" />
    <Compile Include="Managed\AutomaticCampaignValue.cs" />
    <Compile Include="Managed\Area.cs" />
    <Compile Include="Managed\BalanceLog.cs" />
    <Compile Include="Managed\BebeJourney.cs" />
    <Compile Include="Managed\Campaign.cs" />
    <Compile Include="Managed\CampaignActionDetail.cs" />
    <Compile Include="Managed\CapActionPoint.cs" />
    <Compile Include="Managed\CapGeneration.cs" />
    <Compile Include="Managed\ChatbotRating.cs" />
    <Compile Include="Managed\City.cs" />
    <Compile Include="Managed\Cluster.cs" />
    <Compile Include="Managed\CMSNavigation.cs" />
    <Compile Include="Managed\CMSNavigationPrivilegeMapping.cs" />
    <Compile Include="Managed\CMSPrivilege.cs" />
    <Compile Include="Managed\CMSRole.cs" />
    <Compile Include="Managed\CMSRoleNavigationPrivilegeMapping.cs" />
    <Compile Include="Managed\CMSUser.cs" />
    <Compile Include="Managed\CodeGimmick.cs" />
    <Compile Include="Managed\Collect.cs" />
    <Compile Include="Managed\ConvertPointRule.cs" />
    <Compile Include="Managed\ConvertPointStore.cs" />
    <Compile Include="Managed\ConvertPointTransactionLog.cs" />
    <Compile Include="Managed\District.cs" />
    <Compile Include="Managed\EFResponse.cs" />
    <Compile Include="Managed\EventCode.cs" />
    <Compile Include="Managed\EventLog.cs" />
    <Compile Include="Managed\FacebookComment.cs" />
    <Compile Include="Managed\FacebookLike.cs" />
    <Compile Include="Managed\FacebookPost.cs" />
    <Compile Include="Managed\FlagUptradeManage.cs" />
    <Compile Include="Managed\IncentiveSpg.cs" />
    <Compile Include="Managed\IncentiveSpgLog.cs" />
    <Compile Include="Managed\IncentiveSpgMapping.cs" />
    <Compile Include="Managed\LoginLog.cs" />
    <Compile Include="Managed\LogPromoSMS.cs" />
    <Compile Include="Managed\LogRegistrasiSMS.cs" />
    <Compile Include="Managed\LogSendSMS.cs" />
    <Compile Include="Managed\LogUptradeMember.cs" />
    <Compile Include="Managed\Member.cs" />
    <Compile Include="Managed\Number.cs" />
    <Compile Include="Managed\OCRActionTemplateMapping.cs" />
    <Compile Include="Managed\OCRTemplate.cs" />
    <Compile Include="Managed\Pool.cs" />
    <Compile Include="Managed\PoolMemberToken.cs" />
    <Compile Include="Managed\PoolOTPMember.cs" />
    <Compile Include="Managed\Product.cs" />
    <Compile Include="Managed\ProductGroup.cs" />
    <Compile Include="Managed\Promo.cs" />
    <Compile Include="Managed\PromoActivity.cs" />
    <Compile Include="Managed\PromoDetail.cs" />
    <Compile Include="Managed\QuickWin2Participation.cs" />
    <Compile Include="Managed\HistoryEditChain.cs" />
    <Compile Include="Managed\Receipt.cs" />
    <Compile Include="Managed\ReceiptImage.cs" />
    <Compile Include="Managed\Redeem.cs" />
    <Compile Include="Managed\Region.cs" />
    <Compile Include="Managed\ReportAdmin.cs" />
    <Compile Include="Managed\Retailer.cs" />
    <Compile Include="Managed\RetailerAccount.cs" />
    <Compile Include="Managed\RetailerChannel.cs" />
    <Compile Include="Managed\RetailerMarket.cs" />
    <Compile Include="Managed\OCRHistorySendEmail.cs" />
    <Compile Include="Managed\RetailerSubAccount.cs" />
    <Compile Include="Managed\RetailerSubChannel.cs" />
    <Compile Include="Managed\SettingExtention.cs" />
    <Compile Include="Managed\Settings.cs" />
    <Compile Include="Managed\SnapcartProductResult.cs" />
    <Compile Include="Managed\SnapcartReceipt.cs" />
    <Compile Include="Managed\SnapcartReceiptItem.cs" />
    <Compile Include="Managed\SnapcartResult.cs" />
    <Compile Include="Managed\StoreCode.cs" />
    <Compile Include="Managed\UptradeManage.cs" />
    <Compile Include="Managed\viwRedeemReport.cs" />
    <Compile Include="Managed\viwReportReceipt.cs" />
    <Compile Include="Managed\WhiteListIp.cs" />
    <Compile Include="Managed\Zone.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <EntityDeploy Include="LoyaltyPointEngineNew.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>LoyaltyPointEngineNew.Designer.cs</LastGenOutput>
    </EntityDeploy>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.Config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\LoyaltyPointEngine.Common\LoyaltyPointEngine.Common.csproj">
      <Project>{755c162d-1464-4b19-aea4-ab701b4758f7}</Project>
      <Name>LoyaltyPointEngine.Common</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>